summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMakefile8
-rwxr-xr-xtests/keytrans12
2 files changed, 17 insertions, 3 deletions
diff --git a/Makefile b/Makefile
index 7d13c32..9381b03 100755
--- a/Makefile
+++ b/Makefile
@@ -83,8 +83,12 @@ installman:
releasenote:
./utils/build-releasenote
-test:
- MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
+test: test-keytrans test-basic
+
+test-basic:
MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic
+test-keytrans:
+ MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
+
.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test
diff --git a/tests/keytrans b/tests/keytrans
index e70751d..62aa4f2 100755
--- a/tests/keytrans
+++ b/tests/keytrans
@@ -196,6 +196,7 @@ uid:-::::$(($timestamp + 1))::A0D708F51CC257DEFC01AEDE1E0A5F329DFD8F16::fubar:
sig:!::1:$NEWKEYID:$(($timestamp + 1))::::fubar:13x:
EOF
+echo "test: diff expected gpg list output"
diff -u "$TEMPDIR"/expectedout <(gpg --check-sigs --with-colons --fixed-list-mode | grep -v ^tru)
cat >"$TEMPDIR"/expectedout <<EOF
@@ -203,7 +204,16 @@ $KEYFPR
$NEWKEYFPR
EOF
-diff -u "$TEMPDIR"/expectedout <( < "$TEMPDIR"/secring.gpg keytrans listfprs)
+echo "test: diff expected keytrans listfpr output"
+if ! diff -u "$TEMPDIR"/expectedout <( < "$TEMPDIR"/secring.gpg keytrans listfprs) ; then
+ # test reverse order
+ echo "test: diff test again with permuted order"
+ cat >"$TEMPDIR"/expectedout <<EOF
+$NEWKEYFPR
+$KEYFPR
+EOF
+ diff -u "$TEMPDIR"/expectedout <( < "$TEMPDIR"/secring.gpg keytrans listfprs)
+fi
## FIXME: addtest: not testing subkeys at the moment.